{"info":{"title":"A test","description":"A description","version":"1.0.0"},"paths":{"/authentication":{"post":{"parameters":[],"responses":{"201":{"description":"created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/authentication"}}}},"401":{"description":"not authenticated"},"500":{"description":"general error"}},"description":"Creates a new resource with data.","summary":"","tags":["authentication"],"security":[],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/authentication"}}}}}},"/authentication/{id}":{"delete":{"parameters":[{"in":"path","name":"id","description":"ID of authentication to remove","schema":{"type":"integer"},"required":true}],"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/authentication"}}}},"401":{"description":"not authenticated"},"404":{"description":"not found"},"500":{"description":"general error"}},"description":"Removes the resource with id.","summary":"","tags":["authentication"],"security":[]}},"/users/roles":{"get":{"parameters":[{"description":"Number of results to return","in":"query","name":"$limit","schema":{"type":"integer"}},{"description":"Number of results to skip","in":"query","name":"$skip","schema":{"type":"integer"}},{"description":"Property to sort results","in":"query","name":"$sort","style":"deepObject","schema":{"type":"object"}},{"description":"Query parameters to filter","in":"query","name":"filter","style":"form","explode":true,"schema":{"$ref":"#/components/schemas/roles"}}],"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rolesPagination"}}}},"401":{"description":"not authenticated"},"500":{"description":"general error"}},"description":"Retrieves a list of all resources from the service.","summary":"","tags":["users"],"security":[]},"post":{"parameters":[],"responses":{"201":{"description":"created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/roles"}}}},"401":{"description":"not authenticated"},"500":{"description":"general error"}},"description":"Creates a new resource with data.","summary":"","tags":["users"],"security":[],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/roles"}}}}}},"/users/roles/{id}":{"get":{"parameters":[{"in":"path","name":"id","description":"ID of roles to return","schema":{"type":"integer"},"required":true}],"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/roles"}}}},"401":{"description":"not authenticated"},"404":{"description":"not found"},"500":{"description":"general error"}},"description":"Retrieves a single resource with the given id from the service.","summary":"","tags":["users"],"security":[]},"put":{"parameters":[{"in":"path","name":"id","description":"ID of roles to update","schema":{"type":"integer"},"required":true}],"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/roles"}}}},"401":{"description":"not authenticated"},"404":{"description":"not found"},"500":{"description":"general error"}},"description":"Updates the resource identified by id using data.","summary":"","tags":["users"],"security":[],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/roles"}}}}},"patch":{"parameters":[{"in":"path","name":"id","description":"ID of roles to update","schema":{"type":"integer"},"required":true}],"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/roles"}}}},"401":{"description":"not authenticated"},"404":{"description":"not found"},"500":{"description":"general error"}},"description":"Updates the resource identified by id using data.","summary":"","tags":["users"],"security":[],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/roles"}}}}},"delete":{"parameters":[{"in":"path","name":"id","description":"ID of roles to remove","schema":{"type":"integer"},"required":true}],"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/roles"}}}},"401":{"description":"not authenticated"},"404":{"description":"not found"},"500":{"description":"general error"}},"description":"Removes the resource with id.","summary":"","tags":["users"],"security":[]}},"/users":{"get":{"parameters":[{"description":"Number of results to return","in":"query","name":"$limit","schema":{"type":"integer"}},{"description":"Number of results to skip","in":"query","name":"$skip","schema":{"type":"integer"}},{"description":"Property to sort results","in":"query","name":"$sort","style":"deepObject","schema":{"type":"object"}},{"description":"Query parameters to filter","in":"query","name":"filter","style":"form","explode":true,"schema":{"$ref":"#/components/schemas/users"}}],"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/usersPagination"}}}},"401":{"description":"not authenticated"},"500":{"description":"general error"}},"description":"Retrieves a list of all resources from the service.","summary":"","tags":["users"],"security":[]},"post":{"parameters":[],"responses":{"201":{"description":"created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/users"}}}},"401":{"description":"not authenticated"},"500":{"description":"general error"}},"description":"Creates a new resource with data.","summary":"","tags":["users"],"security":[],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/users"}}}}}},"/users/{id}":{"get":{"parameters":[{"in":"path","name":"id","description":"ID of users to return","schema":{"type":"integer"},"required":true}],"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/users"}}}},"401":{"description":"not authenticated"},"404":{"description":"not found"},"500":{"description":"general error"}},"description":"Retrieves a single resource with the given id from the service.","summary":"","tags":["users"],"security":[]},"patch":{"parameters":[{"in":"path","name":"id","description":"ID of users to update","schema":{"type":"integer"},"required":true}],"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/users"}}}},"401":{"description":"not authenticated"},"404":{"description":"not found"},"500":{"description":"general error"}},"description":"Updates the resource identified by id using data.","summary":"","tags":["users"],"security":[],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/users"}}}}},"delete":{"parameters":[{"in":"path","name":"id","description":"ID of users to remove","schema":{"type":"integer"},"required":true}],"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/users"}}}},"401":{"description":"not authenticated"},"404":{"description":"not found"},"500":{"description":"general error"}},"description":"Removes the resource with id.","summary":"","tags":["users"],"security":[]}}},"components":{"schemas":{}},"openapi":"3.0.3","tags":[{"name":"authentication","description":"A authentication service"},{"name":"users","description":"A users service"}]}